--
-- Table structure for table 'tablemng'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[tablemng]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [tablemng]
GO

CREATE TABLE [tablemng] (
	[tbName] [varchar](20) NOT NULL ,
	[tbCnt] [int] NOT NULL ,
	[skin] [char](2) NOT NULL ,
	[attach_key] [char](1) NOT NULL ,
	[editmode] [char](1) NOT NULL ,
	[image_allow] [char](1) NOT NULL ,
	[tbTitle] [varchar](200) ,
	[tbInfoStatus] [char](1) NOT NULL ,
	CONSTRAINT [PK_tablemng] PRIMARY KEY  CLUSTERED 
	(
		[tbName]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO

--
-- Table structure for table 'tablemnginfo'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[tablemnginfo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [tablemnginfo]
GO

CREATE TABLE [tablemnginfo] (
	[tbName] [varchar](20) NOT NULL ,
	[seq] [int] NOT NULL ,
	[title] [varchar](100) NOT NULL ,
	[content] [text] ,
	[readnum] [int] NOT NULL ,
	[writeday] [datetime] NOT NULL CONSTRAINT [DF_tablemnginfo_writeday] DEFAULT (getdate()),
	[imgInfo] [varchar](300) ,
	[viewSelect] [char](1) NOT NULL ,
	CONSTRAINT [PK_tablemnginfo] PRIMARY KEY  CLUSTERED 
	(
		[seq] 
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

 CREATE  INDEX [IX_tablemnginfo] ON [tablemnginfo]([tbName] , [seq] ) ON [PRIMARY]
GO

--
-- Table structure for table 'kkaok'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[kkaok]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [kkaok]
GO

CREATE TABLE [kkaok] (
	[seq] [int] NOT NULL ,
	[re_level] [tinyint] NOT NULL ,
	[re_step] [int] NOT NULL ,
	[name] [varchar](20) NOT NULL ,
	[title] [varchar](100)  NOT NULL ,
	[content] [text]  NOT NULL ,
	[pwd] [varchar](10)  NOT NULL ,
	[email] [varchar](50)  NULL ,
	[homepage] [varchar](100)  NULL ,
	[readnum] [int] NOT NULL ,
	[tag] [char](1) NOT NULL ,
	[writeday] [datetime] NOT NULL CONSTRAINT [DF_kkaok_writeday] DEFAULT (getdate()),
	[ip] [varchar](24)  NOT NULL ,
	[imgInfo] [varchar](300)  NULL ,
	[relativeCnt] [int] NOT NULL ,
	CONSTRAINT [PK_kkaok] PRIMARY KEY  CLUSTERED 
	(
		[re_step]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

 CREATE  INDEX [IX_kkaok] ON [kkaok]([seq]) ON [PRIMARY]
GO

--
-- Table structure for table 'commentmng'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[commentmng]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [commentmng]
GO

CREATE TABLE [commentmng] (
	[tbName] [varchar](20) NOT NULL ,
	[seq] [int] NOT NULL ,
	[tbidx] [int] IDENTITY (1, 1) NOT NULL ,
	[com_name] [varchar](20)  NOT NULL ,
	[com_writeday] [datetime] NOT NULL CONSTRAINT [DF_commentmng_com_writeday] DEFAULT (getdate()),
	[com_memo] [varchar](2000)  NOT NULL ,
	[com_pwd] [varchar](10)  NOT NULL ,
	CONSTRAINT [PK_commentmng] PRIMARY KEY  CLUSTERED 
	(
		[tbidx] 
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO

 CREATE  INDEX [IX_commentmng] ON [commentmng]([tbName] , [seq] , [tbidx] ) ON [PRIMARY]
GO

--
-- Table structure for table 'downloadmng'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[downloadmng]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [downloadmng]
GO

CREATE TABLE [downloadmng] (
	[tbName] [varchar](20) NOT NULL ,
	[seq] [int] NOT NULL ,
	[tbidx] [int] IDENTITY (1, 1) NOT NULL ,
	[fileName] [varchar](100)  NULL ,
	[fileSize] [varchar](20)  NULL ,
	[downCnt] [int] NOT NULL ,
	CONSTRAINT [PK_downloadmng] PRIMARY KEY  CLUSTERED 
	(
		[tbidx] 
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO

 CREATE  INDEX [IX_downloadmng] ON [downloadmng]([tbName] , [seq] , [tbidx] ) ON [PRIMARY]
GO

--
-- Table structure for table 'downloadmnginfo'
--

if exists (select * from dbo.sysobjects where id = object_id(N'[downloadmnginfo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [downloadmnginfo]
GO

CREATE TABLE [downloadmnginfo] (
	[tbName] [varchar](20) NOT NULL ,
	[seq] [int] NOT NULL ,
	[tbidx] [int] IDENTITY (1, 1) NOT NULL ,
	[fileName] [varchar] (100)  NOT NULL ,
	[fileSize] [varchar] (20)  NOT NULL ,
	[downCnt] [int] NOT NULL ,
	CONSTRAINT [PK_downloadmnginfo] PRIMARY KEY  CLUSTERED 
	(
		[tbidx] 
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO

 CREATE  INDEX [IX_downloadmnginfo] ON [downloadmnginfo]([tbName] , [seq] , [tbidx]) ON [PRIMARY]
GO

--
-- insert query
--

insert into tablemng (tbName,tbCnt,skin,tbTitle,tbInfoStatus,attach_key,editmode,image_allow) values('kkaok',0,'1','⺸','0','0','0','0');
