drop table tablemng;
drop table tablemnginfo;
drop table kkaok;
drop table commentmng;
drop table downloadmng;
drop table downloadmnginfo;

--
-- table structure for table 'tablemng' 
--

create table tablemng ( 
    tbName  varchar2(20)  not null, 
    tbCnt  number(8) default 0 not null, 
    skin  char(2)  default 1, 
    attach_key  char(1) default 0, 
    editmode  char(1)  default 0, 
    image_allow  char(1)  default 0, 
    tbTitle  varchar2(200)  not null, 
    tbInfoStatus  char(1) default 0 not null,
    constraint tablemng_pk_tbname primary key (tbName)
);

--
-- table structure for table 'tablemnginfo' 
--

create table tablemnginfo ( 
    tbName varchar2(20)  not null,
    seq  number(8)  not null, 
    title  varchar2(200)  not null, 
    content  clob,
    readnum  number(8) default 0 not null, 
    writeday  date  not null, 
    imgInfo  varchar2(300), 
    viewSelect  char(1) default 0 not null, 
    constraint tablemnginfo_pk_seq primary key (seq)
);

create index tablemnginfo_indx on tablemnginfo(tbName,seq);

--
-- table structure for table 'kkaok' 
--

create table kkaok ( 
    seq  number(8)  not null,
    re_level  number(3)  not null,
    re_step  number(8)  not null, 
    name  varchar2(50)  not null, 
    title  varchar2(200)  not null, 
    content  clob  not null,
    pwd  varchar2(8)   not null, 
    email  varchar2(50), 
    homepage  varchar2(100), 
    readnum  number(8)  not null, 
    tag  char(1)  not null, 
    writeday  date  default sysdate not null, 
    ip  varchar2(24)  not null,
    imgInfo  varchar2(300), 
    relativeCnt  number(8) , 
    constraint kkaok_pk_re_step primary key (re_step)
);

create unique index kkaok_indx on kkaok(seq);

--
-- table structure for table 'commentmng' 
--

create table commentmng ( 
    tbName  varchar2(20)  not null,
    seq  number(8)  not null,
    tbidx  number(8)  not null,
    com_name  varchar2(20)  not null, 
    com_writeday  date  default sysdate  not null, 
    com_memo  varchar2(500)  not null,
    com_pwd  varchar2(8)  not null,
    constraint commentmng_pk_tbidx primary key (tbidx)
);

create sequence commentmng_tbidx increment by 1;

create index commentmng_indx on commentmng(tbName,seq,tbidx);

--
-- table structure for table 'downloadmng' 
--

create table downloadmng ( 
    tbName  varchar2(20)  not null, 
    seq  number(8)  not null,
    tbidx  number(8)  not null,
    fileName  varchar2(200)  not null, 
    fileSize  varchar2(20)  not null, 
    downCnt  number(8)  not null,
    constraint downloadmng_pk_tbidx primary key (tbidx)
);

create sequence downloadmng_tbidx increment by 1;

create index downloadmng_indx on downloadmng(tbName,seq,tbidx);

--
-- table structure for table 'downloadmnginfo' 
--

create table downloadmnginfo ( 
    tbName  varchar2(20)  not null, 
    seq  number(8)  not null,
    tbidx  number(8)  not null,
    fileName  varchar2(200)  not null, 
    fileSize  varchar2(20)  not null, 
    downCnt  number(8)  not null,
    constraint downloadmnginfo_pk_tbidx primary key (tbidx)
);

create sequence downloadmnginfo_tbidx increment by 1;

create index downloadmnginfo_indx on downloadmnginfo(tbName,seq,tbidx);

--
-- insert query
--

insert into tablemng (tbName,tbCnt,skin,tbTitle,tbInfoStatus,attach_key,editmode,image_allow) values('kkaok',0,'1','⺸','0','0','0','0');

