/*
 * Author(s) kkaok 
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.dao;

import java.util.ResourceBundle;

public class KBoardDAOFactory 
{
	public static KBoardDAO getDAO() throws Exception 
	{
        ResourceBundle bundle = null;
        bundle = ResourceBundle.getBundle("Res_Infomation");
        String dbType = (String)bundle.getString("dbType");

		if (dbType.equals("oracle")) {
			return new OraBoardDAOImpl();
		} else if (dbType.equals("mysql")) {
			return new MyBoardDAOImpl();
		} else if (dbType.equals("mssql")) {
			return new MsBoardDAOImpl();
		} else {
			throw new Exception("dbType: " + dbType + " NOT IMPLEMENTED");
		} 
    }
}