/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.download;

import java.io.*;
import java.util.ResourceBundle;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.board.dao.KBoardDAOFactory;
import kr.pe.kkaok.board.dao.KBoardDAO;

public class DownloadServlet extends HttpServlet {

    private String SAVE_DIR_ROOT;

    public void init(ServletConfig config) throws javax.servlet.ServletException {
        super.init(config);
        ResourceBundle bundle = null;
        try {
            bundle = ResourceBundle.getBundle("Res_Infomation");
            SAVE_DIR_ROOT = (String)bundle.getString("SAVE_DIR_ROOT");
        } catch (Exception e) {
            System.out.println("Err: "+e.toString());
        }
    }
    
    public void service(HttpServletRequest request, HttpServletResponse response)
    {
        try{
            String folderName = ParamUtil.getReqParameter(request.getParameter("folderName"));
            String tableName  = ParamUtil.getReqParameter(request.getParameter("tableName"),"downloadmng");
            int    tbidx      = ParamUtil.getIntParameter(request.getParameter("tbidx"));
            
           /**
            *  ٿε ī ߰
            */
            KBoardDAO dao = KBoardDAOFactory.getDAO(); 
            dao.downloadHitCount(tableName,tbidx);
            String fileN1 = dao.getDownloadFileName(tableName,tbidx);
            String fileN2 = java.net.URLEncoder.encode(fileN1,"MS949");

           /**
            *  ٿε ó
            */
            String ut = getServletContext().getRealPath("/")+SAVE_DIR_ROOT+folderName+"/down/"+fileN1;
            File dfile        = new File(ut); 
            int fileSize      = (int)dfile.length();
            String strClient  = request.getHeader("User-Agent");
            String fileType;
    
            if(strClient.indexOf("MSIE 5.5") != -1) {
                response.setHeader("Content-Disposition","filename="+fileN2+";");
                fileType   = "doesn/matter";
            } else {
                response.setHeader("Content-Disposition","attachment;filename="+fileN2+";");
                fileType   = "application/octet-stream";
            }

            response.setContentType(fileType);
            response.setContentLength(fileSize);
               
            byte b[] = new byte[1024];
            if (dfile.isFile())
            {
                BufferedInputStream fin = new BufferedInputStream(new FileInputStream(dfile));
                BufferedOutputStream outs = new BufferedOutputStream(response.getOutputStream());
                int read = 0;
                try {
                    while ((read = fin.read(b)) != -1){
                        outs.write(b,0,read);
                    }
                    fin.close();
                    outs.close();
                } catch (Exception e) {
                    System.out.println(e.getMessage());
                } finally {
                    if(fin!=null) fin.close();
                }
            }
        }catch(Exception ex){
            System.out.println(ex.getMessage());
        }  
    }
}