package kr.pe.kkaok.board.manager.command;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.board.dao.SkinTable;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAOFactory;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAO;

public abstract class InfoCommand 
{
    protected HttpServletRequest req;
    protected HttpServletResponse res;
    protected String tableName;
    protected int    gotoPage;
    protected int    flag;
    protected String search;
    protected String findword;
    protected InfoBoardDAO dao; 
    protected SkinTable sTable;

    public InfoCommand(HttpServletRequest req, HttpServletResponse res) throws Exception 
    {
        this.req = req;
        this.res = res;
        tableName = ParamUtil.getReqParameter(req.getParameter("tableName"),"kkaok");
        gotoPage  = ParamUtil.getIntParameter(req.getParameter("gotoPage"),1);
        flag      = ParamUtil.getIntParameter(req.getParameter("flag"),0);
        search    = ParamUtil.getReqParameter(req.getParameter("search"));
        findword  = ParamUtil.getReqParameter(req.getParameter("findword"));
        dao = InfoBoardDAOFactory.getDAO(); 
        sTable = (SkinTable)dao.getSkinData(tableName);
        req.setAttribute("sTable",sTable);
        req.setAttribute("tableName",tableName);
        req.setAttribute("gotoPage",new Integer(gotoPage));
        req.setAttribute("flag",new Integer(flag));
        req.setAttribute("search",search);
        req.setAttribute("findword",findword);
    }
 
    public abstract String exec() throws Exception;

}