/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.manager.dao;

import java.util.ResourceBundle;

public class InfoBoardDAOFactory 
{
	public static InfoBoardDAO getDAO() throws Exception 
	{  
        ResourceBundle bundle = null;
        bundle = ResourceBundle.getBundle("Res_Infomation");
        String dbType = (String)bundle.getString("dbType");

		if (dbType.equals("oracle")) {
			return new OraInfoBoardDAOImpl();
		} else if (dbType.equals("mysql")) {
			return new MyInfoBoardDAOImpl();
		} else if (dbType.equals("mssql")) {
			return new MsInfoBoardDAOImpl();
		} else {
			throw new Exception("dbType: " + dbType + " NOT IMPLEMENTED");
		}
	}
}