/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.manager.servlet;

import java.io.File; 
import java.io.PrintWriter; 
import java.util.ResourceBundle;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAOFactory;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAO;
 
public class TbMngCreateTable extends HttpServlet 
{
    private String SAVE_DIR_ROOT;
    private static final String MOVEPAGE = "/kBoard/message.jsp";
    private static final String ERRORPAGE = "/error.jsp";
  
    public void init(ServletConfig config) throws javax.servlet.ServletException {
        super.init(config);
        ResourceBundle bundle = null;
        try {
            bundle = ResourceBundle.getBundle("Res_Infomation");
            SAVE_DIR_ROOT = (String)bundle.getString("SAVE_DIR_ROOT");
        } catch (Exception e) {
            System.out.println("Err: "+e.toString());
        }
    }
     
    public void service(HttpServletRequest req, HttpServletResponse res) 
    {
        PrintWriter out = null;
        try{
            res.setContentType("text/html;charset=MS949");
            req.setCharacterEncoding("MS949");
            HttpSession session = req.getSession();
		    if (session.getAttribute("admin") == null || session.getAttribute("admin").equals(""))
		    {
                req.setAttribute("message", "Login ϼ.");
                req.setAttribute("movePage", "/kBoard/boardMng/login.jsp");
          		req.setAttribute("ContextPath", req.getContextPath());
                req.getRequestDispatcher(MOVEPAGE).forward(req, res);
                return;
            }
            String tableName  = ParamUtil.getReqParameter(req.getParameter("id")).toLowerCase();
            InfoBoardDAO dao = InfoBoardDAOFactory.getDAO();
            dao.createTable(tableName.trim());
            dao.insertInfo(tableName.trim());
            String saveDir = getServletContext().getRealPath("/")+SAVE_DIR_ROOT+tableName;
            java.io.File makeDirectory = new java.io.File(saveDir); 
            if(!makeDirectory.exists()) makeDirectory.mkdir();
            String sDirDown    = saveDir + "/down";
            String sDirDownImg = saveDir + "/downImg";
            java.io.File subDirDown = new java.io.File(sDirDown); 
            java.io.File subDirDownImg = new java.io.File(sDirDownImg); 
            if(!subDirDown.exists()) subDirDown.mkdir();
            if(!subDirDownImg.exists()) subDirDownImg.mkdir();
   	    	req.setAttribute("message", "Խ ߰Ǿϴ.");
        	req.setAttribute("movePage", "/kBoard/boardMng/boardMng.jsp");
      		req.setAttribute("ContextPath", req.getContextPath());
            req.getRequestDispatcher(MOVEPAGE).forward(req, res);
            return;
        }catch(Exception e){
			e.printStackTrace();
    		req.setAttribute("message", e.getMessage());
    		req.setAttribute("errPage", "TbMngCreateTable.java");
            try{
                req.getRequestDispatcher(ERRORPAGE).forward(req, res);
            }catch(Exception err){}
        }
    }
}  