/*
 * UploadTbMng.java
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.manager.upload;

import java.io.File;
import java.util.Enumeration;
import java.util.StringTokenizer;
import java.text.DecimalFormat;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.oreilly.servlet.MultipartRequest;
import com.oreilly.servlet.multipart.DefaultFileRenamePolicy;
import kr.pe.kkaok.util.ReplaceUtil;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAOFactory;
import kr.pe.kkaok.board.manager.dao.InfoBoardDAO;

public class UploadTbMngImpl implements UploadTbMng
{
    private int    gotoPage;
    private String tableName;
    private String pageStatus;
    private int    flag;
    private String search;
    private String findword;
    private String title;
    private String content;
    private int    seq;
    private String imgInfo;
    private String imgDir;
    
    public UploadTbMngImpl(HttpServletRequest request,HttpServletResponse response,
            int maxUploadSize,String saveDir,String saveDirRoot, String contextRoot) 
                    throws Exception 
    {
        MultipartRequest multi = new MultipartRequest(request,saveDir,maxUploadSize,"MS949",new DefaultFileRenamePolicy());
        gotoPage   = ParamUtil.getIntParameter(multi.getParameter("gotoPage"),1);
        pageStatus = ParamUtil.getReqParameter(multi.getParameter("pageStatus"));
        flag       = ParamUtil.getIntParameter(multi.getParameter("flag"),0);
        tableName  = ParamUtil.getReqParameter(multi.getParameter("tableName"));
        search     = ParamUtil.getReqParameter(multi.getParameter("search"));
        findword   = ParamUtil.getReqParameter(multi.getParameter("findword"));
        title      = ReplaceUtil.encodeHTMLSpecialChar(ParamUtil.getReqParameter(multi.getParameter("title")),1);
        content    = ReplaceUtil.encodeHTMLSpecialChar(ParamUtil.getReqParameter(multi.getParameter("content")),2);
        seq        = ParamUtil.getIntParameter(multi.getParameter("seq"),0);
        imgInfo    = ParamUtil.getReqParameter(multi.getParameter("imgInfo"));

        InfoBoardDAO dao = InfoBoardDAOFactory.getDAO();
        if(!pageStatus.equals("M")) seq = dao.maxSeq();
        imgDir  = contextRoot+saveDirRoot+"admin/downImg/";
        imgInfo = getImageInfo();
        
        String fname    = "";
        String filename = "";
        String filesize = "";
        File   fSourceFile = null;
        Enumeration files = multi.getFileNames();
        while (files.hasMoreElements()) {
            fname       = (String)files.nextElement();
            filename    = multi.getFilesystemName(fname);
            fSourceFile = new File(saveDir+filename);
            filesize    = getFileSize(fSourceFile.length());
            if (fSourceFile.length() < 2 || filename.length() < 4){
                if (fSourceFile.exists()) fSourceFile.delete();
            }else{
                dao.insertFile(tableName,seq,filename,filesize);
            }
        }
    }

    public String getFileSize(long filesize) throws Exception 
    {
        DecimalFormat df = new DecimalFormat(".##"); 
        String fSize="";
        if ((filesize > 1024) && (filesize < 1024 * 1024)) {
            fSize = df.format((float)filesize/1024).toString() + " KB" ;
        } else if (filesize >= 1024 * 1024) {
            fSize = df.format((float)filesize/(1024*1024)).toString() + " MB" ;
        } else {
            fSize = Long.toString(filesize) + " Bytes" ;
        }
        return fSize;
    }
    
    public String getImageInfo() throws Exception
    {
        String saveImages = "";
        int    checkImage = 0;
        File   delImg     = null;
        String tempImage  = "";
        StringTokenizer st = new StringTokenizer(imgInfo,"/");
        while (st.hasMoreTokens()) {
            tempImage  = st.nextElement().toString();      
            checkImage = content.lastIndexOf(tempImage);
            if(checkImage < 0 ){
                delImg = new File(imgDir+tempImage);
                if (delImg.exists()) delImg.delete();
            }else{
                saveImages += tempImage+"/";
            }
        }
        return saveImages;
    }

    public String getTableName() { return tableName; }
    public int getGotoPage() { return gotoPage; }
    public int getFlag() { return flag; }
    public String getSearch() { return search; }
    public String getFindword() { return findword; }
    public String getPageStatus() { return pageStatus; }
    public String getTitle() { return title; }
    public String getContent() { return content; }
    public int getSeq() { return seq; }
    public String getImgInfo() { return imgInfo; }
}