/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.board.upload;

import java.io.File;
import java.util.*;
import java.text.DecimalFormat;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.pe.kkaok.util.CookieUtil;
import kr.pe.kkaok.util.ParamUtil;
import kr.pe.kkaok.util.ReplaceUtil;
import com.oreilly.servlet.MultipartRequest;
import com.oreilly.servlet.multipart.DefaultFileRenamePolicy;
import kr.pe.kkaok.board.dao.KBoardDAOFactory;
import kr.pe.kkaok.board.dao.KBoardDAO;

public class UploadBoardImpl implements UploadBoard
{
    private String tableName;
    private int    gotoPage;
    private int    flag;
    private String search;
    private String findword;
    private String pageStatus;
    private int    seq;
    private String title;
    private String name;
    private String email;
    private String homepage;
    private String content;
    private String imgInfo;
    private String pwd;
    private int    re_step;
    private int    re_level;
    private String toEmail;
    private String tag;
    private String ip;

    private String imgDir;
    
    public UploadBoardImpl(HttpServletRequest request, HttpServletResponse response,
             int maxUploadSize, String saveDir, String saveDirRoot, String ContextPath) throws Exception 
    {
        String encoding   = "MS949";
       /**
        *  ÷ȭ ε
        */
        MultipartRequest multi = new MultipartRequest(request, saveDir,maxUploadSize,encoding,new DefaultFileRenamePolicy());
       /**
        *  form ó
        */
        tableName  = ParamUtil.getReqParameter(multi.getParameter("tableName"));
        gotoPage   = ParamUtil.getIntParameter(multi.getParameter("gotoPage"),1);
        pageStatus = ParamUtil.getReqParameter(multi.getParameter("pageStatus"));
        flag       = ParamUtil.getIntParameter(multi.getParameter("flag"),0);
        search     = ParamUtil.getReqParameter(multi.getParameter("search"));
        findword   = ParamUtil.getReqParameter(multi.getParameter("findword"));
        toEmail    = ParamUtil.getReqParameter(multi.getParameter("toEmail"));
        
        title      = ReplaceUtil.encodeHTMLSpecialChar(ParamUtil.getReqParameter(multi.getParameter("title")),1);
        seq        = ParamUtil.getIntParameter(multi.getParameter("seq"),0);
        imgInfo    = ParamUtil.getReqParameter(multi.getParameter("imgInfo"));
        name       = ReplaceUtil.encodeHTMLSpecialChar(ParamUtil.getReqParameter(multi.getParameter("name")),1);
        email      = ParamUtil.getReqParameter(multi.getParameter("email"));
        pwd        = ParamUtil.getReqParameter(multi.getParameter("pwd"));
        re_level   = ParamUtil.getIntParameter(multi.getParameter("re_level"),0);
        re_step    = ParamUtil.getIntParameter(multi.getParameter("re_step"),0);
        homepage   = ParamUtil.getReqParameter(multi.getParameter("homepage"));
        imgInfo    = ParamUtil.getReqParameter(multi.getParameter("imgInfo"));
        tag        = ParamUtil.getReqParameter(multi.getParameter("tag"),"0");
        ip         = request.getRemoteAddr(); 
        
        int tagKey = 2;
        if (tag.equals("0")) tagKey = 1;
        content = ReplaceUtil.encodeHTMLSpecialChar(ParamUtil.getReqParameter(multi.getParameter("content")),tagKey);
        
       /**
        *  name,email,homepage cookie Ҵ
        */
        CookieUtil.setCookie(response, "name", name);
        CookieUtil.setCookie(response, "email", email);
        CookieUtil.setCookie(response, "homepage", homepage);
        
       /**
        *  ۿ ̹ Ͽ  ̹   ʿ ̹  
        */
        
        imgDir  = ContextPath+saveDirRoot+tableName+"/downImg/";
        imgInfo = getImageInfo();

       /**
        *  ۼ ƴ϶ ִ밪 ̾Ƴ
        */
        KBoardDAO dao = KBoardDAOFactory.getDAO(); 
        if(!pageStatus.equals("M")) seq = dao.maxSeq(tableName);
        
       /**
        *  fSourceFile : /upload/down/ Ʒ ε 
        *  fTargetFile : /upload/̺/down/ Ʒ Ű 
        *  FileRenameKkaok ߺ ũ,FileRenameCommand interface
        */
        String fname    = "";
        String filename = "";
        String filesize = "";
        String ext      = "";
        File   fSourceFile = null;
        File   fTargetFile = null;

        String saveDirCopy = ContextPath+saveDirRoot+tableName+"/down/";
        FileRenameCommand policy = (FileRenameCommand)new FileRenameCommandImpl();
        
       /**
        *  ̸鸸 Enumeration  ´.
        */
        Enumeration files = multi.getFileNames();
        while (files.hasMoreElements()) {
            fname       = (String)files.nextElement();
            filename    = multi.getFilesystemName(fname);
            fSourceFile = new File(saveDir+filename);
           /**
            *  ϸ 4(.Ȯ) ۰ų 뷮 2 ۴ٸ ׳ ϴ.
            */
            if (fSourceFile.length() < 2 || filename.length() < 4){
                if (fSourceFile.exists()) fSourceFile.delete();
            }else{
               /**
                *  Ȯڰ jsp ".zip" ٿ ܴϴ. ŷ
                */
                ext = filename.substring(filename.length()-4);
                if (ext.toUpperCase().equals(".JSP")) filename += ".zip";
               /**
                *  ش ̺  ġ 
                *  rename(, ) ̸޼ҵ ο ó˴ϴ.
                */
                fTargetFile = new File(saveDirCopy + filename);
                fTargetFile = policy.rename(fSourceFile,fTargetFile);
               /**
                *  ϸ   DB 
                */
                filename = fTargetFile.getName();
                filesize = getFileSize(fTargetFile.length());
                dao.insertFile(tableName,seq,filename,filesize);
            }
        }
    }

    public String getFileSize(long filesize) {
        DecimalFormat df = new DecimalFormat(".##"); 
        String fSize="";
        if ((filesize > 1024) && (filesize < 1024 * 1024)) {
            fSize = df.format((float)filesize/1024).toString() + " KB" ;
        } else if (filesize >= 1024 * 1024) {
            fSize = df.format((float)filesize/(1024*1024)).toString() + " MB" ;
        } else {
            fSize = Long.toString(filesize) + " Bytes" ;
        }
        return fSize;
    }
    
    public String getImageInfo() throws Exception 
    {
        String saveImages = "";
        int    checkImage = 0;
        File   delImg     = null;
        String tempImage  = "";
        StringTokenizer st = new StringTokenizer(imgInfo,"/");
        while (st.hasMoreTokens()) {
            tempImage  = st.nextElement().toString();      
            checkImage = content.lastIndexOf(tempImage);
            if(checkImage < 0 ){
                delImg = new File(imgDir+tempImage);
                if (delImg.exists()) delImg.delete();
            }else{
                saveImages += tempImage+"/";
            }
        }
        return saveImages;
    }
    
    public String getTableName() { return tableName; }
    public int getGotoPage() { return gotoPage; }
    public int getFlag() { return flag; }
    public String getSearch() { return search; }
    public String getFindword() { return findword; }
    public String getPageStatus() { return pageStatus; }
    public int getSeq() { return seq; }
    public String getTitle() { return title; }
    public String getName() { return name; }
    public String getEmail() { return email; }
    public String getHomepage() { return homepage; }
    public String getContent() { return content; }
    public String getImgInfo() { return imgInfo; }
    public String getPwd() { return pwd; }
    public int getRe_level() { return re_level; }
    public int getRe_step() { return re_step; }
    public String getToEmail() { return toEmail; }
    public String getTag() { return tag; }
    public String getIp() { return ip; }
}